Name:		ncmpc
Version:	0.49
Release:	%mkrel 1

Summary:	Ncurses client for MPD
License:	GPLv2
Group:		Sound/Players
URL:		https://www.musicpd.org/clients/ncmpc/
Source0:	https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz
Source1:	https://www.musicpd.org/download/ncmpc/0/ncmpc-%{version}.tar.xz.sig

BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	rsync
BuildRequires:	boost-devel
BuildRequires:	pcre2-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libmpdclient)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	python3dist(sphinx)
BuildRequires:	pkgconfig(lirc)


%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to a
MPD running on a machine on the local network, and controls this with an
interface inspired by cplay. If ncmpc is used with lirc and irpty it can be
used to manage playlists and control MPD with a remote control.


%prep
%setup -q


%build
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson
%meson_build


%check
%meson_test


%install
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
%meson_install

%find_lang %name


%files -f %name.lang
%{_docdir}/%{name}/html/
%doc README.rst AUTHORS NEWS COPYING doc/config.sample doc/keys.sample doc/ncmpc.lirc
%{_bindir}/%name
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Oct 29 2023 daviddavid <daviddavid> 0.49-1.mga10
+ Revision: 2002619
- new version: 0.49

* Sun Jul 10 2022 luigiwalser <luigiwalser> 0.47-1.mga9
+ Revision: 1868377
- 0.47

* Tue Apr 05 2022 umeabot <umeabot> 0.45-2.mga9
+ Revision: 1845456
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 0.45-1.mga9
+ Revision: 1738766
- 0.45

* Thu Dec 03 2020 luigiwalser <luigiwalser> 0.42-1.mga8
+ Revision: 1652180
- 0.42

* Mon Aug 24 2020 zezinho <zezinho> 0.39-1.mga8
+ Revision: 1618515
- new version 0.39

* Sat May 30 2020 zezinho <zezinho> 0.38-1.mga8
+ Revision: 1589003
- new version 0.38

* Fri May 01 2020 daviddavid <daviddavid> 0.37-3.mga8
+ Revision: 1577537
- rebuild to fix python dependencies

* Thu Feb 20 2020 umeabot <umeabot> 0.37-2.mga8
+ Revision: 1547343
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 zezinho <zezinho> 0.37-1.mga8
+ Revision: 1486680
- new version

* Tue Nov 05 2019 zezinho <zezinho> 0.36-1.mga8
+ Revision: 1458171
- new version 0.36

* Mon Aug 05 2019 zezinho <zezinho> 0.34-1.mga8
+ Revision: 1427464
- switch to python 3
- new version 0.34

* Thu Apr 18 2019 umeabot <umeabot> 0.33-2.mga7
+ Revision: 1392827
- Rebuild with meson 0.50.1

* Sat Oct 27 2018 zezinho <zezinho> 0.33-1.mga7
+ Revision: 1326147
- new version
+ jquelin <jquelin>
- imported package ncmpc

